# Uses of Class
org.apache.sling.feature.extension.apiregions.api.DeprecationInfo

Packages that use DeprecationInfo
Package
Description
org.apache.sling.feature.extension.apiregions.api

## Uses of DeprecationInfo in org.apache.sling.feature.extension.apiregions.api

Methods in org.apache.sling.feature.extension.apiregions.api that return DeprecationInfo
Modifier and Type
Method
Description
`DeprecationInfo`
Deprecation.`getPackageInfo()`
Get the optional package info if the package is deprecated
Methods in org.apache.sling.feature.extension.apiregions.api that return types with arguments of type DeprecationInfo
Modifier and Type
Method
Description
`Map<String,DeprecationInfo>`
Deprecation.`getMemberInfos()`
Get all deprecation member infos
`Map<String,DeprecationInfo>`
JDKDeprecationExtension.`getMemberInfos()`
Get all deprecation member infos
Methods in org.apache.sling.feature.extension.apiregions.api with parameters of type DeprecationInfo
Modifier and Type
Method
Description
`void`
Deprecation.`addMemberInfo(String member, DeprecationInfo i)`
Add deprecation info for a member
`void`
JDKDeprecationExtension.`addMemberInfo(String member, DeprecationInfo i)`
Add deprecation info for a member
`void`
Deprecation.`setPackageInfo(DeprecationInfo i)`
Set the deprecation info for the whole package